﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;


namespace MultiViewApp
{
    public sealed partial class ucDisplayPage : UserControl
    {
        public ucDisplayPage()
        {
            this.InitializeComponent();
        }

        private Uri _weburi;

        /// <summary>
        /// 目标页页的URI
        /// </summary>
        public Uri TargetWebpageUri
        {
            get { return _weburi; }
            set
            {
                if (_weburi != value)
                {
                    _weburi = value;
                    wv.Navigate(_weburi);
                }
            }
        }

    }
}
